Subject: Re: is "inetd telnet slowness" fixed?
From: Danilo Turina <[email-masked]>
To: [email-masked]
Date: Tue, 17 Dec 2002 08:54:03 +0100

I had the same problem some time ago and I found that it was caused by 
FTP Software's InterDrive 5.0 (a NFS client). Uninstalling that product 
all worked flawlessly.

I think that, in general, a problem like that can be caused by "network 
drivers" (possibly virtual ones) that causes broadcast or other lengthy 
network iterations to be performed when someone tries to access the network.

The same software causes a similar problem with Rational Rose (10 
minutes to load a simple model with InterDrive, 1 minute without 
Interdrive).

Ciao,

		Danilo Turina

[email-masked] wrote:
> I just did a fresh install of 1.3.17 and setup telnetd. The login prompt
> is delayed by about 3 minutes!  rlogin works just fine.
> 
> This problem was described in detail
> in the mailing list towards the end of the summer.
> 
> Is there a fix or a workaround?
> 
> thanks/regards,
> Tom Rodman
> 
> 
> ------- Forwarded Message
> From: "Bruce Dobrin" <[email-masked]>
> To: <[email-masked]>
> Subject: inetd telnet slowness
> Date: Fri, 6 Sep 2002 14:02:08 -0700
> <snipped>
> 
> I wrote about a month ago with this problem,  but didn't manage to work out
> a viable solution.
> 
> If I stop inetd and run "in.telnetd -debug"  All is well.  It appears to
> capture the machine/user correctly and  I am imediately logged in (bypassing
> the login/passwd prompt).
> 
> With inetd running, telnet starts,  then hangs for about 3 minutes,  finaly
> ginving me a "Login:" prompt.  I assume that Inetd didn't pass usable
> machine/user information to the in.telnetd,  and that the delay and eventual
> "login:" prompt is in.telnetd  timing out waiting for  login information,
> but I could be wrong about this.  Rlogind works fine with inetd,  and I
> assume it uses a similar validation mechanism.   I'd appreciate any
> assistance.
> 
> 
> The diff of the Debug logs with and without inetd:
> 
> with inetd:
> - -------------cut--------------
> td: send suboption NEW-ENVIRON SEND
> td: send suboption TERMINAL-TYPE SEND
> td: ttloop
> td: netflush 249 chars
> td: ttloop read 73 chars
> td: netflush 26 chars
> td: recv suboption NAWS 0 80 (80) 0 25 (25)
> - -------------cut----------------
> ........XON VARIABLE|ACK 17; XOFF VARIABLE|ACK 19; FORW1 VARIABLE|ACK 0;
> FORW2 VARIABLE|ACK 0;
> td: netflush 404 chars
> td: Entering processing loop
> #####
> ##right here is where it hangs for 3 minutes}
> #####
> CYGWIN_NT-5.0 1.3.12(0.54/3/2) (genevieve) (tty2)
> td: netflush 84 chars
> td: netread 9 chars
> td: recv do ECHO
> td: recv will BINARY
> td: recv wont LINEMODE
> td: netflush 85 chars
> login: td: netflush 7 chars
> - -------------cut----------------
> 
> Without inetd:
> - -------------cut----------------
> td: send suboption NEW-ENVIRON SEND
> td: send suboption TERMINAL-TYPE SEND
> td: ttloop
> td: netflush 249 chars
> td: ttloop read 131 chars
> td: netflush 27 chars
> td: recv suboption NAWS 0 80 (80) 0 25 (25)
> - -------------cut----------------
> .......XON VARIABLE|ACK 17; XOFF VARIABLE|ACK 19; FORW1 VARIABLE|ACK 0; FORW2
> VARIABLE|ACK 0;
> td: netflush 404 chars
> td: Entering processing loop
> td: netflush 30 chars
> td: netread 9 chars
> td: recv do ECHO
> td: recv will BINARY
> td: recv wont LINEMODE
> td: netflush 85 chars
> Fanfare!!!
> You are successfully logged in to this server!!!
> 
> - -------------cut----------------
> <snipped>
> ------- End of Forwarded Message
> 
> --v-v------------------C-U-T---H-E-R-E-------------------------v-v--
> 
> To:      "James Garrison" <[email-masked]>
> cc:      <[email-masked]>
> 
> From:    "Bruce Dobrin" <[email-masked]>
> Subject: Re: Telnet takes minutes
> 
> <mail headers snipped>
> --------------------------------------------------------------------
> Thanks for the quick response.
> 
> 
> Those particular machines (1.3.12) are all on different segments from each
> other,  with different os's (NT,XP, and 2K). But I have tried from other
> machines on both the same and different segments,  same result,  and from
> different telnet clients (SGI,  Linux, NT, Cygwin...)  it seems consistant.
> I even telneted to "localhost" and to the machine name and ip from
> itself....  same result.  I assume reverse DNS is configured as it works (I
> didn't know it was configurable)..   as a side note,  rsh/rlogin works like
> a champ....
> 
> <snipped>
> 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/